﻿@page
@model Project_PRN221_1.Pages.ArticleDetailsModel
@{
	var username = HttpContext.Session.GetString("Username");
	var nameDisp = HttpContext.Session.GetString("UserNameDisp");
	int userId = -1;
	if (HttpContext.Session.GetString("UserId") != null)
	{
		userId = int.Parse(HttpContext.Session.GetString("UserId"));
	}
}
<style>
	.image-container {
		display: flex;
		justify-content: center;
		align-items: center;
		height: 400px; 
	}

		.image-container img {
			max-width: 100%; 
			max-height: 100%;
		}

	span {
		font-size: 0.8em;
		color: rgba(0, 0, 0, 0.5); 
	}
</style>
<div class="container">
	<!-- Tiêu đề bài viết -->
	<h1 class="mt-5 mb-4">@Model.postDetail.PostHeader</h1>

	<!-- Thông tin tác giả và ngày đăng -->
	<p class="text-muted">Author: <strong>@Model.user.Username</strong> | Date: <strong>@Model.postDetail.PostDate</strong></p>

	<!-- Nội dung bài viết -->
	<div class="mb-4">
		@for (int i = 1; i <= 5; i++)
		{
			var postGraph = "PostGraph" + i;
			var imagePath = "Image" + i + "Path";

			if (Model.postDetail.GetType().GetProperty(postGraph).GetValue(Model.postDetail) != null)
			{
				<p>
					@Model.postDetail.GetType().GetProperty(postGraph).GetValue(Model.postDetail)
				</p>

				<!-- Thẻ cho hình ảnh trong bài viết -->
				@if (Model.postDetail.GetType().GetProperty(imagePath).GetValue(Model.postDetail) != null)
				{
					var imageValue = Model.postDetail.GetType().GetProperty(imagePath).GetValue(Model.postDetail).ToString();
					<div class="image-container">
						<img src="@Url.Content(imageValue)" class="img-fluid mb-4" alt="Hình minh họa">
					</div>
				}
			}
		}
	</div>
	@if (Model.postDetail.IsCensor == 0)
	{
		<form method="post">
			<button type="submit" class="btn btn-primary" >Allow</button>
			<input type="hidden" name="postCensorId" value="@Model.postDetail.PostId"/>
		</form>
	}
	else
	{
		<div>
			<h3>Comments</h3>
			<ul class="list-unstyled">
				<li class="media mb-3">
					@foreach (var c in Model.comment)
					{
						<div class="media-body">
							<h5 class="mt-0 mb-1">@c.User.Name</h5>
							<span>@c.CommentDate</span>
							<br>
							@c.CommentContent
						</div>
					}
				</li>
			</ul>
		</div>
		<hr />
		@if (username != null)
		{
			<!-- Phần bình luận -->
			<div class="mb-4">
				<!-- Form nhập bình luận -->
				<form asp-page="/commentposts/commentpost" method="post">
					<div class="mb-3">
						<label for="inputName" class="form-label">Name</label>
						@if (nameDisp != null)
						{
							<input type="text" class="form-control" id="inputName" value="@nameDisp" readonly>
						}
					</div>
					<div class="mb-3">
						<label for="inputComment" class="form-label">Comment</label>
						<textarea class="form-control" id="inputComment" name="CommentContent" rows="3" placeholder="Input your comment"></textarea>
					</div>
					<input type="hidden" name="UserId" value="@userId" />
					<input type="hidden" name="PostId" value="@Model.postDetail.PostId" />
					<button type="submit" class="btn btn-primary">Save</button>
				</form>
			</div>
		}
	}
</div>